﻿using System;

using Facade.FactionInfo;

namespace Facade.Units
{
    public class Soldier : GameUnit
    {
        public Soldier(FactionDetailsFactory factionFactory)
            : base(factionFactory)
        {
            Type = UnitType.Soldier;

            Description = FactionDetails.GetDescription(Type);
            ShootingBehaviour = FactionDetails.GetShootingBehaviour(Type);
            Armor = FactionDetails.GetArmor(Type);
        }

        public override void Display()
        {
            /* Display code */
        }
    }
}
