﻿using System;

using Facade.Units;

namespace Facade.Commands
{
    public class SuicideUnit : ICommand
    {
        private GameUnit _unit;

        public SuicideUnit(GameUnit unit)
        {
            _unit = unit;
        }

        public void Execute()
        {
            Console.WriteLine("Unit killed itself!");
            _unit.Kill();
        }

        public void Undo()
        {
            Console.WriteLine("Can't undo, the unit is dead!");
        }
    }
}
